Loading...
Searching...
No Matches
casacore::CompareIntervalInt< T > Class Template Reference
casa package (libcasa_casa) » Utilities_module

Integer comparison class with intervals. More...

`#include <Compare.h>`

## Public Member Functions

| CompareIntervalInt (Int64 interval, Int64 start)
| Construct from the given interval values.
virtual | ~CompareIntervalInt ()
virtual int | comp (const void *obj1, const void *obj2) const
| Compare the interval the left and right value belong to.
Public Member Functions inherited from casacore::BaseCompare
virtual | ~BaseCompare ()
virtual DataType | dataType () const
| Get the data type of a straight-forward sort comparison in ObjCompare.

## Private Attributes

Int64 | itsInterval
Int64 | itsStart

## Detailed Description

template<typename T>
class casacore::CompareIntervalInt< T >

Integer comparison class with intervals.

### Intended use:

Public interface

### Review Status

Test programs:
  tTableIter

### Synopsis

This class is meant for comparison in the TableIterator class. It does not compare on the value itself, but compares intervals. In that way it is possible to iterate through a table in, for example, time chunks of N seconds. The start value X gives the start value of the base interval. Lower intervals are still possible. So the intervals will be..., X-2N:X-N, X-N:N, X:X+N, X+N:X+2N,...

Definition at line 134 of file Compare.h.

## Constructor & Destructor Documentation

## CompareIntervalInt()

template<typename T>

casacore::CompareIntervalInt< T >::CompareIntervalInt | ( | Int64 | interval,
|  | Int64 | start )

Construct from the given interval values.

## ~CompareIntervalInt()

template<typename T>

virtual casacore::CompareIntervalInt< T >::~CompareIntervalInt | ( |  | ) |

virtual

## Member Function Documentation

## comp()

template<typename T>

virtual int casacore::CompareIntervalInt< T >::comp | ( | const void * | obj1,
|  | const void * | obj2 ) const

virtual

Compare the interval the left and right value belong to.

Implements casacore::BaseCompare.

## Member Data Documentation

## itsInterval

template<typename T>

Int64 casacore::CompareIntervalInt< T >::itsInterval

private

Definition at line 146 of file Compare.h.

## itsStart

template<typename T>

Int64 casacore::CompareIntervalInt< T >::itsStart

private

Definition at line 147 of file Compare.h.

The documentation for this class was generated from the following file:

- casa/Utilities/Compare.h